Advanced roadmap - Feature #305

Plugin crashes on RM 1.0.1 (error 500)

2010-08-26 06:59 - Paul L

Status: Rejected Start date: 2010-08-26
Priority: High Due date: 2010-12-10
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: General Estimated time: 0.00 hour
Target version: Advanced roadmap 0.2.0

Description

Clicking Roadmap produces the following error:

ActionView: :TemplateError (undefined method "“rest_hours' for #<Issue:0x2d6fe730>)

endor/plugins/advanced_roadmap/app/views/projects/roadmap.rhtml:

on line #21 of v

18: @versions.each do |version]|
19: estimated_hours += version.estimated_hours
20: spent_hours += version.spent_hours
21: rest_hours += version.rest_hours
22: completed_pourcent += version.spent_hours
23: closed_pourcent += version.closed_spent_hours
24 end
vendor/plugins/advanced_roadmap/app/views/projects/roadmap.rhtml:21:in ~_run_rhtml_vendor47plu

gins47advanced_roadmap47appé47views4dprojects4d7roadmap46rhtml’

vendor/plugins/advanced_roadmap/app/views/projects/roadmap.rhtml:18:in "each'

vendor/plugins/advanced_roadmap/app/views/projects/roadmap.rhtml:18:in " _run_rhtml_vendor47plu

gins47advanced_roadmap47appd7/viewsdTprojectsd7roadmap46rhtml’
Rendering /usr/local/www/redmine/public/500.html

lib/phusion_passenger/rack/request_handler.rb

:92:in “process_request'
lib/phusion_passenger/abstract_request_handler.rb:207:in ‘main_loop'
lib/phusion_passenger/railz/application_spawner.rb:441:in "“start_request_ha

lib/phusion_passenger/railz/application_spawner.rb:381:in “handle_spawn_app

lib/phusion_passenger/utils.rb:252:in 'safe_fork'

lib/phusion_passenger/railz/application_spawner.rb:377:in “handle_spawn_app

lib/phusion_passenger/abstract_server.rb:352:in
lib/phusion_passenger/abstract_server.rb:352:in
lib/phusion_passenger/abstract_server.rb:196:1in
lib/phusion_passenger/abstract_server.rb:163:in
lib/phusion_passenger/railz/application_spawner

*__send_ !
‘main_loop'
“start_synchronously'
“start!
.rb:222:1in

“start!

lib/phusion_passenger/spawn_manager.rb:253:1in " spawn_rails_application’

lib/phusion_passenger/abstract_server_collection.rb:126:in " lookup_or_add'

lib/phusion_passenger/spawn_manager.rb:247:in "~spawn_rails_application'
lib/phusion_passenger/abstract_server_collection.rb:80:in "~synchronize'
lib/phusion_passenger/abstract_server_collection.rb:79:in "~ synchronize'

lib/phusion_passenger/spawn_manager.rb:246:1in
lib/phusion_passenger/spawn_manager.rb:145:1in
lib/phusion_passenger/spawn_manager.rb:278:1in

lib/phusion_passenger/abstract_server.rb:352:in

“spawn_rails_application'

“spawn_application'

"handle_spawn_application'

*__send_ '

lib/phusion_passenger/abstract_server.rb:352:in ‘main_loop'

Clicking an issue generates the same error.

(500 Internal Server Error)

History

#1 - 2010-09-03 21:07 - Paul L

Do you know what the issue is?
Thank you.

2024-04-20

1/3




#2 - 2010-10-15 11:36 - Slava Karg

which version of plugin do you use?
#3 - 2010-10-17 03:25 - Paul L
Slava Karg escribi6:

which version of plugin do you use?

0.1.0

#4 - 2010-11-11 22:23 - Paul L

Any news?

#5 - 2010-12-10 08:16 - Emilio Gonzalez Montafia
- Due date set to 2010-12-10

- Category set to General

- Status changed from New to Rejected

- % Done changed from 0 to 100

| don't reproduce this problem into the new version version:0.2.0.

Please reopen if the problem persists, and attach the logs...

#6 - 2010-12-10 08:20 - Emilio Gonzalez Montaina

- Target version set to Advanced roadmap 0.2.0

#7 - 2010-12-10 08:21 - Emilio Gonzalez Montana

- Assignee set to Emilio Gonzalez Montaria
#8 - 2010-12-22 17:29 - Paul L
Still doesn't work, although the error is different now (below). Using Redmine 1.0.4 with PostgreSQL.

ActionView: :TemplateError (undefined method 'rest_hours' for #<Issue:0x2d9d42e8>) on line #17 of app/views/ver
sions/_overview.rhtml:

14: </ul>

15:

16: <% if version.fixed_issues.count > 0 %>

17 8 <%= progress_bar ([version.closed_pourcent, version.completed_pourcent], :width => '40em', :legend => (
'$0.0£f%' % version.completed_pourcent)) %>

18: <p class="progress—-info">

193 <%= link_to_if (version.closed_issues_count > 0, 1l(:label_x_closed_issues_abbr, :count => version.c

losed_issues_count), :controller => 'issues', :action => 'index', :project_id => version.project, :status_id =
> 'c', :fixed_version_id => version, :set_filter => 1) %>

20: (<%= '%0.0f' % (version.closed_issues_count.to_f / version.fixed_issues.count * 100) %>%)
app/views/versions/_overview.rhtml:17:in ' _run_rhtml_app47views47versions47_overviewd6rhtml_locals_object_

overview_version'
vendor/plugins/advanced_roadmap.0.2.0/app/views/versions/_info.html.erb:
vendor/plugins/advanced_roadmap.0.2.0/app/views/versions/index.html.erb:
vendor/plugins/advanced_roadmap.0.2.0/app/views/versions/index.html.erb:7:1in “each'

vendor/plugins/advanced_roadmap.0.2.0/app/views/versions/index.html.erb:

passenger (2.2.15) lib/phusion_passenger/rack/request_handler.rb:92:in “process_request'

~ J w0 =

passenger (2.2.15) lib/phusion_passenger/abstract_request_handler.rb:207:in ‘main_loop'

passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:441:in " start_request_handler'
passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:381:in “handle_spawn_application'
passenger (2.2.15) lib/phusion_passenger/utils.rb:252:in “safe_fork'

passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:377:in "handle_spawn_application'
passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in "_ _send__ '

passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in ‘main_loop'

passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:196:in 'start_synchronously'

passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:163:in " start'

passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:222:in " start'

passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:253:in " spawn_rails_application'

passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:126:in "~ lookup_or_add'

passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:247:in " spawn_rails_application’
passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:80:in "synchronize'
passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:79:in "~synchronize'
passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:246:in " spawn_rails_application'
passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:145:in "~ spawn_application’
passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:278:in "~handle_spawn_application'
passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in "_ _send__ '

passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in ‘main_loop'

passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:196:in "start_synchronously'

Rendering /usr/local/www/redmine/public/500.html (500 Internal Server Error)

2024-04-20 3/3


http://www.tcpdf.org

